help-cfengine
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: berkeleydb mismatch with cfengine


From: drk
Subject: Re: berkeleydb mismatch with cfengine
Date: Wed, 22 Aug 2001 10:12:53 -0500 (CDT)

hi

mark suggested i pass this to you for best handling.

what are the cfengine support software requirements?
i blindly loaded what i thought was the latest versions,
but there is a linking problem.

thanx

------------------------------------------------------------------------
Darrell Kachilla  - working but not speaking for...
   University of Texas; M.D. Anderson Cancer Center; Diagnostic Imaging -57
   1515 Holcombe Blvd.,   Houston, Tx 77030
address@hidden     W: 713-745-2361      FAX: 713-745-0581
http://diagphys.mdacc.tmc.edu      http://www.dnkk.com




----- Begin Included Message -----

>From address@hidden  Wed Aug 22 10:04:52 2001
Date: Wed, 22 Aug 2001 17:05:07 +0200 (MET DST)
From: address@hidden
Subject: Re: berkeleydb required??? for cfengine
To: address@hidden
MIME-Version: 1.0

On 22 Aug, address@hidden wrote:
> 
> hi again
> 
> 
> well after sleeping on it, i figured out your email:
> 
>> Get a11? :-)
> 
>       what i thought said  get ALL
>       must cryptically mean there was an "a11" version later than a10
> 
> sure enough, there was, but unfortunately
> 
> ..
> ..
>  -I/usr/local/BerkeleyDB.3.3/include -g -O2 -c 2Dlist.c
> gcc -DHAVE_CONFIG_H -I. -I. -I.   -I/usr/local/ssl/include 
> -I/usr/local/include  -I/usr/local/BerkeleyDB.3.3/include -g -O2 -c globals.c
> gcc -DHAVE_CONFIG_H -I. -I. -I.   -I/usr/local/ssl/include 
> -I/usr/local/include  -I/usr/local/BerkeleyDB.3.3/include -g -O2 -c classes.c
> gcc -DHAVE_CONFIG_H -I. -I. -I.   -I/usr/local/ssl/include 
> -I/usr/local/include  -I/usr/local/BerkeleyDB.3.3/include -g -O2 -c misc.c
> misc.c: In function `ChecksumChanged':
> misc.c:187: structure has no member named `open'
> *** Error code 1
> make: Fatal error: Command failed for target `misc.o'
> Current working directory /SYS1/Drktemp/Cfengine/cfengine-2.0.a11/src
> *** Error code 1
> make: Fatal error: Command failed for target `all-recursive'
> 
> the same link problem as with cfengine version a10
> so it looks like there some other version of the berkeleyDB software needed?
> or there is a coding bug?
> 
> what combination of cfengine and libraries is known to work?

address@hidden is th best palce for a quick answer.

I think it says at a11 that you need berkeley 3.2 or something.
You need their latest version anyway. Version 2/3 not compat.

M

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Work: +47 22453272            Email:  address@hidden
Fax : +47 22453205            WWW  :  http://www.iu.hio.no/~mark
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~




----- End Included Message -----




reply via email to

[Prev in Thread] Current Thread [Next in Thread]